Bug 890290 - 3.2 [VDSM] | host become non-operational on cluster version 3.2 | missing clusterLevels = 3.2 and supportedENGINEs = 3.2
3.2 [VDSM] | host become non-operational on cluster version 3.2 | missing clu...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
x86_64 Linux
urgent Severity high
: ---
: 3.2.0
Assigned To: Dan Kenigsberg
Meni Yakove
infra
: Regression
: 889993 (view as bug list)
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-12-26 03:21 EST by Meni Yakove
Modified: 2016-02-10 14:43 EST (History)
8 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Meni Yakove 2012-12-26 03:21:01 EST
Description of problem:
vdsm-4.10.2-1.0.el6.x86_64 not reporting the correct clusterLevels and supportedENGINEs.

From getVdsCaps:
clusterLevels = ['3.0', '3.1']
supportedENGINEs = ['3.0', '3.1']

Need to add version 3.2


vdsClient -s 0 getVdsCaps
        HBAInventory = {'iSCSI': [{'InitiatorName': 'iqn.1994-05.com.redhat:f0f24f182ef8'}], 'FC': []}
        ISCSIInitiatorName = iqn.1994-05.com.redhat:f0f24f182ef8
        bondings = {'bond4': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond0': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond1': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond2': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond3': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}}
        bridges = {'rhevm': {'addr': '10.35.102.23', 'cfg': {'IPADDR': '10.35.102.23', 'ONBOOT': 'yes', 'DELAY': '0', 'NETMASK': '255.255.255.0', 'BOOTPROTO': 'none', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'GATEWAY': '10.35.102.254'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'ports': ['eth1']}}
        clusterLevels = ['3.0', '3.1']
        cpuCores = 4
        cpuFlags = fpu,vme,de,pse,tsc,msr,pae,mce,cx8,apic,sep,mtrr,pge,mca,cmov,pat,pse36,clflush,dts,acpi,mmx,fxsr,sse,sse2,ss,ht,tm,pbe,syscall,nx,lm,constant_tsc,arch_perfmon,pebs,bts,rep_good,aperfmperf,pni,dtes64,monitor,ds_cpl,vmx,tm2,ssse3,cx16,xtpr,pdcm,dca,lahf_lm,dts,tpr_shadow,model_Conroe,model_coreduo,model_core2duo,model_n270
        cpuModel = Intel(R) Xeon(R) CPU           E5310  @ 1.60GHz
        cpuSockets = 1
        cpuSpeed = 200.000
        emulatedMachines = ['rhel6.4.0', 'pc', 'rhel6.3.0', 'rhel6.2.0', 'rhel6.1.0', 'rhel6.0.0', 'rhel5.5.0', 'rhel5.4.4', 'rhel5.4.0']
        guestOverhead = 65
        hooks = {}
        kvmEnabled = true
        lastClient = 10.35.70.107
        lastClientIface = rhevm
        management_ip = 
        memSize = 3832
        netConfigDirty = False
        networks = {'rhevm': {'iface': 'rhevm', 'addr': '10.35.102.23', 'cfg': {'IPADDR': '10.35.102.23', 'ONBOOT': 'yes', 'DELAY': '0', 'NETMASK': '255.255.255.0', 'BOOTPROTO': 'none', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'GATEWAY': '10.35.102.254'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'bridged': True, 'gateway': '10.35.102.254', 'ports': ['eth1']}}
        nics = {'eth3': {'addr': '', 'cfg': {'DEVICE': 'eth3', 'MTU': '5000', 'NM_CONTROLLED': 'no', 'STP': 'no', 'HWADDR': '00:10:18:24:47:6f', 'ONBOOT': 'yes'}, 'mtu': '5000', 'netmask': '', 'hwaddr': '00:10:18:24:47:6f', 'speed': 1000}, 'eth2': {'addr': '', 'cfg': {'DEVICE': 'eth2', 'UUID': 'ef6979c9-5311-497d-b624-e7aa20dbf03c', 'NM_CONTROLLED': 'yes', 'BOOTPROTO': 'dhcp', 'HWADDR': '00:10:18:24:47:6E', 'TYPE': 'Ethernet', 'ONBOOT': 'no'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '00:10:18:24:47:6e', 'speed': 0}, 'eth1': {'addr': '', 'cfg': {'BRIDGE': 'rhevm', 'UUID': 'b1fcafb9-af04-436d-bb95-08fd335a199f', 'NM_CONTROLLED': 'yes', 'DEVICE': 'eth1', 'BOOTPROTO': 'none', 'HWADDR': '00:14:5E:DD:08:90', 'TYPE': 'Ethernet', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '00:14:5e:dd:08:90', 'speed': 1000}, 'eth0': {'addr': '', 'cfg': {'DEVICE': 'eth0', 'UUID': '5ee37c42-b5e6-4ceb-93f8-935b6a01c707', 'NM_CONTROLLED': 'yes', 'BOOTPROTO': 'none', 'HWADDR': '00:14:5E:DD:08:8E', 'TYPE': 'Ethernet', 'ONBOOT': 'no'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '00:14:5e:dd:08:8e', 'speed': 0}}
        operatingSystem = {'release': '6.4.0.3.el6', 'version': '6Server', 'name': 'RHEL'}
        packages2 = {'kernel': {'release': '343.el6.x86_64', 'buildtime': 1353336370.0, 'version': '2.6.32'}, 'qemu-kvm-rhev': {'release': '2.348.el6', 'buildtime': 1355930976, 'version': '0.12.1.2'}, 'spice-server': {'release': '3.el6', 'buildtime': 1353327832, 'version': '0.12.0'}, 'vdsm': {'release': '1.0.el6', 'buildtime': 1353349266, 'version': '4.10.2'}, 'libvirt': {'release': '13.el6', 'buildtime': 1355929853, 'version': '0.10.2'}, 'qemu-img-rhev': {'release': '2.348.el6', 'buildtime': 1355930976, 'version': '0.12.1.2'}}
        reservedMem = 321
        software_revision = 1.0
        software_version = 4.10
        supportedENGINEs = ['3.0', '3.1']
        supportedProtocols = ['2.2', '2.3']
        uuid = C052AF3A-3A43-B601-D25F-00145EDD088E
        version_name = Snow Man
        vlans = {}
        vmTypes = ['kvm']
[root@navy-vds3 ~]# vdsClient -s 0 getVdsCaps | grep --color rhevm
        bridges = {'rhevm': {'addr': '10.35.102.23', 'cfg': {'IPADDR': '10.35.102.23', 'ONBOOT': 'yes', 'DELAY': '0', 'NETMASK': '255.255.255.0', 'BOOTPROTO': 'none', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'GATEWAY': '10.35.102.254'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'ports': ['eth1']}}
        lastClientIface = rhevm
        networks = {'rhevm': {'iface': 'rhevm', 'addr': '10.35.102.23', 'cfg': {'IPADDR': '10.35.102.23', 'ONBOOT': 'yes', 'DELAY': '0', 'NETMASK': '255.255.255.0', 'BOOTPROTO': 'none', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'GATEWAY': '10.35.102.254'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'bridged': True, 'gateway': '10.35.102.254', 'ports': ['eth1']}}
        nics = {'eth3': {'addr': '', 'cfg': {'DEVICE': 'eth3', 'MTU': '5000', 'NM_CONTROLLED': 'no', 'STP': 'no', 'HWADDR': '00:10:18:24:47:6f', 'ONBOOT': 'yes'}, 'mtu': '5000', 'netmask': '', 'hwaddr': '00:10:18:24:47:6f', 'speed': 1000}, 'eth2': {'addr': '', 'cfg': {'DEVICE': 'eth2', 'UUID': 'ef6979c9-5311-497d-b624-e7aa20dbf03c', 'NM_CONTROLLED': 'yes', 'BOOTPROTO': 'dhcp', 'HWADDR': '00:10:18:24:47:6E', 'TYPE': 'Ethernet', 'ONBOOT': 'no'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '00:10:18:24:47:6e', 'speed': 0}, 'eth1': {'addr': '', 'cfg': {'BRIDGE': 'rhevm', 'UUID': 'b1fcafb9-af04-436d-bb95-08fd335a199f', 'NM_CONTROLLED': 'yes', 'DEVICE': 'eth1', 'BOOTPROTO': 'none', 'HWADDR': '00:14:5E:DD:08:90', 'TYPE': 'Ethernet', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '00:14:5e:dd:08:90', 'speed': 1000}, 'eth0': {'addr': '', 'cfg': {'DEVICE': 'eth0', 'UUID': '5ee37c42-b5e6-4ceb-93f8-935b6a01c707', 'NM_CONTROLLED': 'yes', 'BOOTPROTO': 'none', 'HWADDR': '00:14:5E:DD:08:8E', 'TYPE': 'Ethernet', 'ONBOOT': 'no'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '00:14:5e:dd:08:8e', 'speed': 0}}
Comment 5 Itamar Heim 2012-12-26 04:19:20 EST
meni - does engine have supported vdsm 4.10?
Comment 6 Itamar Heim 2012-12-26 04:20:22 EST
*** Bug 889993 has been marked as a duplicate of this bug. ***
Comment 7 Meni Yakove 2012-12-26 04:30:36 EST
Both rhevm and vdsm was installed from sf1 build so I think engine do support vdsm 4.10.
Comment 8 Itamar Heim 2012-12-27 01:54:51 EST
seems like it:
./backend/manager/dbscripts/upgrade/pre_upgrade/0000_config.sql:select fn_db_update_config_value('SupportedVDSMVersions','4.5,4.9,4.10','general');

but actually, I think 4.5 isn't supposed to be supported any more...
I'll another bug to clean this up.
Comment 9 Dan Kenigsberg 2013-01-02 04:06:47 EST
While at it, we should report supportedRHEVMs = [3.0], too, as rhev-m-3.0.z is not aware of supportedENGINEs attribute.
Comment 10 Meni Yakove 2013-01-07 03:47:21 EST
Verified on vdsm-4.10.2-3.0.el6ev.x86_64.


vdsClient -s 0 getVdsCaps
        HBAInventory = {'iSCSI': [{'InitiatorName': 'iqn.1994-05.com.redhat:f0f24f182ef8'}], 'FC': []}
        ISCSIInitiatorName = iqn.1994-05.com.redhat:f0f24f182ef8
        bondings = {'bond4': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond0': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond1': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}}
        bridges = {'rhevm': {'addr': '10.35.128.30', 'cfg': {'IPADDR': '10.35.128.30', 'ONBOOT': 'yes', 'DELAY': '0', 'NETMASK': '255.255.255.0', 'BOOTPROTO': 'none', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'GATEWAY': '10.35.128.254'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'ports': ['eth1']}}
        clusterLevels = ['3.0', '3.1', '3.2']
        cpuCores = 4
        cpuFlags = fpu,vme,de,pse,tsc,msr,pae,mce,cx8,apic,sep,mtrr,pge,mca,cmov,pat,pse36,clflush,dts,acpi,mmx,fxsr,sse,sse2,ss,ht,tm,pbe,syscall,nx,lm,constant_tsc,arch_perfmon,pebs,bts,rep_good,aperfmperf,pni,dtes64,monitor,ds_cpl,vmx,tm2,ssse3,cx16,xtpr,pdcm,dca,lahf_lm,dts,tpr_shadow,model_Conroe,model_coreduo,model_core2duo,model_n270
        cpuModel = Intel(R) Xeon(R) CPU           E5310  @ 1.60GHz
        cpuSockets = 1
        cpuSpeed = 200.000
        emulatedMachines = ['rhel6.4.0', 'pc', 'rhel6.3.0', 'rhel6.2.0', 'rhel6.1.0', 'rhel6.0.0', 'rhel5.5.0', 'rhel5.4.4', 'rhel5.4.0']
        guestOverhead = 65
        hooks = {}
        kvmEnabled = true
        lastClient = 10.35.70.107
        lastClientIface = rhevm
        management_ip = 
        memSize = 3832
        netConfigDirty = False
        networks = {'rhevm': {'iface': 'rhevm', 'addr': '10.35.128.30', 'cfg': {'IPADDR': '10.35.128.30', 'ONBOOT': 'yes', 'DELAY': '0', 'NETMASK': '255.255.255.0', 'BOOTPROTO': 'none', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'GATEWAY': '10.35.128.254'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'bridged': True, 'gateway': '10.35.128.254', 'ports': ['eth1']}}
        nics = {'eth3': {'addr': '', 'cfg': {'DEVICE': 'eth3', 'MTU': '5000', 'NM_CONTROLLED': 'no', 'STP': 'no', 'HWADDR': '00:10:18:24:47:6f', 'ONBOOT': 'yes'}, 'mtu': '5000', 'netmask': '', 'hwaddr': '00:10:18:24:47:6f', 'speed': 1000}, 'eth2': {'addr': '', 'cfg': {'DEVICE': 'eth2', 'UUID': 'ef6979c9-5311-497d-b624-e7aa20dbf03c', 'NM_CONTROLLED': 'yes', 'BOOTPROTO': 'none', 'HWADDR': '00:10:18:24:47:6E', 'TYPE': 'Ethernet', 'ONBOOT': 'no'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '00:10:18:24:47:6e', 'speed': 0}, 'eth1': {'addr': '', 'cfg': {'BRIDGE': 'rhevm', 'UUID': 'b1fcafb9-af04-436d-bb95-08fd335a199f', 'NM_CONTROLLED': 'yes', 'DEVICE': 'eth1', 'BOOTPROTO': 'none', 'HWADDR': '00:14:5E:DD:08:90', 'TYPE': 'Ethernet', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '00:14:5e:dd:08:90', 'speed': 100}, 'eth0': {'addr': '', 'cfg': {'DEVICE': 'eth0', 'UUID': '5ee37c42-b5e6-4ceb-93f8-935b6a01c707', 'NM_CONTROLLED': 'yes', 'BOOTPROTO': 'none', 'HWADDR': '00:14:5E:DD:08:8E', 'TYPE': 'Ethernet', 'ONBOOT': 'no'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '00:14:5e:dd:08:8e', 'speed': 0}}
        operatingSystem = {'release': '6.4.0.3.el6', 'version': '6Server', 'name': 'RHEL'}
        packages2 = {'kernel': {'release': '343.el6.x86_64', 'buildtime': 1353336370.0, 'version': '2.6.32'}, 'qemu-kvm-rhev': {'release': '2.348.el6', 'buildtime': 1355930976, 'version': '0.12.1.2'}, 'spice-server': {'release': '3.el6', 'buildtime': 1353327832, 'version': '0.12.0'}, 'vdsm': {'release': '3.0.el6ev', 'buildtime': 1357140555, 'version': '4.10.2'}, 'libvirt': {'release': '13.el6', 'buildtime': 1355929853, 'version': '0.10.2'}, 'qemu-img-rhev': {'release': '2.348.el6', 'buildtime': 1355930976, 'version': '0.12.1.2'}}
        reservedMem = 321
        software_revision = 3.0
        software_version = 4.10
        supportedENGINEs = ['3.0', '3.1', '3.2']
        supportedProtocols = ['2.2', '2.3']
        supportedRHEVMs = ['3.0']
        uuid = C052AF3A-3A43-B601-D25F-00145EDD088E
        version_name = Snow Man
        vlans = {}
        vmTypes = ['kvm']
Comment 11 Meni Yakove 2013-01-07 03:49:04 EST
VDSM is up under cluster 3.2.
Comment 13 Itamar Heim 2013-06-11 05:51:09 EDT
3.2 has been released
Comment 14 Itamar Heim 2013-06-11 05:51:28 EDT
3.2 has been released
Comment 15 Itamar Heim 2013-06-11 05:58:33 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.